#### D.5.17.14 topChernClass

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  topChernClass(S); S sheaf

Return:
  poly

Input:
  S is a sheaf

Theory:
  This is the top Chern class of a sheaf

Example:

    LIB "schubert.lib";
    variety G = Grassmannian(2,4);
    def R = G.baseRing;
    setring R;
    sheaf S = makeSheaf(G,quotientBundle);
    sheaf B = S^3;
    topChernClass(B);
    ==> 27*q(2)^2

See also: ChernClass; totalChernClass.

User manual for Singular version 4.4.1, 2025, generated by texi2html.